import { NgModule } from 'ng-metadata/core';
import * as restangular from 'restangular';

const quayDependencies: string[] = [
    'restangular',
    'ngCookies',
    'angularFileUpload',
    'ngSanitize'
];

@NgModule(({
    imports: quayDependencies,
    declarations: [],
    providers: [
        provideConfig,
    ]
}))
class DependencyConfig{}


provideConfig.$inject = [
    '$provide',
    '$injector',
    '$compileProvider',
    'RestangularProvider',
];

function provideConfig($provide: ng.auto.IProvideService,
                       $injector: ng.auto.IInjectorService,
                       $compileProvider: ng.ICompileProvider,
                       RestangularProvider: any): void {

    // Configure the API provider.
    RestangularProvider.setBaseUrl('/api/v1/');
}


@NgModule({
    imports: [ DependencyConfig ],
    declarations: [],
    providers: []
})
export class ConfigAppModule {}
